curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Activity\", \"vid\": \"acdfea708121e95199e0e8e786e4b28d7bdad2d4\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Test note added\" } }, { \"object\": \"Activity\", \"vid\": \"e8bb58f637a5583173de8cd3eda9c5f3f17de06b\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Added the note\" } } ], \"total_count\": 12, \"url\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886\", \"next\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886&starting_after=e8bb58f637a5583173de8cd3eda9c5f3f17de06b\", \"previous\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886&ending_before=acdfea708121e95199e0e8e786e4b28d7bdad2d4\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"List All Activities
Retrieves filtered list of recorded activities.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"Activity\", \"vid\": \"acdfea708121e95199e0e8e786e4b28d7bdad2d4\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Test note added\" } }, { \"object\": \"Activity\", \"vid\": \"e8bb58f637a5583173de8cd3eda9c5f3f17de06b\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Added the note\" } } ], \"total_count\": 12, \"url\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886\", \"next\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886&starting_after=e8bb58f637a5583173de8cd3eda9c5f3f17de06b\", \"previous\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886&ending_before=acdfea708121e95199e0e8e786e4b28d7bdad2d4\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
The account id or vid to return a list of activity for A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128The subscription id or vid to return a list of activity for A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128The transaction id or vid to return a list of activity for
The invoice id or vid to return a list of activity for A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Response
JSON A list array of Activities filtered by the given Query Parameters. Each entry in the array is a full Activity object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of Activities objects matching the query. Also:
- "total_count": Integer count of the number of Activity objects in the returned list.
- "url": The query string provided in the request
- "next": The route (partial URL) to the next Activity object (string to select the “next”); included id should match that of the last object returned here
- "previous": The route (partial URL) to the previous Activity object (string to select the “previous”); included id should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Activity object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Activity object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"Activity\", \"vid\": \"acdfea708121e95199e0e8e786e4b28d7bdad2d4\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Test note added\" } }, { \"object\": \"Activity\", \"vid\": \"e8bb58f637a5583173de8cd3eda9c5f3f17de06b\", \"account\": { \"object\": \"Account\", \"id\": \"Account_1649141886\", \"vid\": \"c70c98c6450f40abd0b3d9c05bbe84e75f1d3688\" }, \"subscription\": { \"object\": \"Subscription\", \"id\": \"Subscription_1649141886\", \"vid\": \"b2c2e8af40cadd514d26e755cbc0771e09c7351e\" }, \"timestamp\": \"2022-12-30T06:44:08+00:00\", \"type\": \"Note\", \"note_args\": { \"object\": \"ActivityNote\", \"note\": \"Added the note\" } } ], \"total_count\": 12, \"url\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886\", \"next\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886&starting_after=e8bb58f637a5583173de8cd3eda9c5f3f17de06b\", \"previous\": \"/activities?limit=2&subscription=Subscription_1649141886&account=Account_1649141886&ending_before=acdfea708121e95199e0e8e786e4b28d7bdad2d4\" }"

